@import '../../../../scss/variables.scss';
@import '../../../../../node_modules/bulma/sass/utilities/_all.sass';

.page-header {
  display: flex;
  padding-top: 1.875rem;
  padding-bottom: 1.875rem;
  position: relative;

  .title-item {
    font-size: 1.25rem;
  }

  @media screen and (min-width: $tablet) {
    .title-item {
      font-size: 1.5625rem;
    }
  }
}

.back-button {
  color: $grey-dark-color;
  font-size: 0.875rem;
  font-weight: 500;
  cursor: pointer;
  border-right: 4px solid $tomato-color;
  border-left: none;
  border-bottom: none;
  border-top: none;
  padding: 1.125rem 1rem 1.125rem 0;
  margin-right: 1rem;
  width: 6rem;
  white-space: nowrap;
  align-items: center;
  align-self: flex-start;
  flex-shrink: 0;
  justify-content: center;
  background-color: transparent;
  // Hide back button for mobile
  display: none;

  &.has-beta-style {
    border-right-color: $tomato-color;
  }

  @media screen and (min-width: $desktop) {
    display: flex;
  }

  .icon-left-arrow {
    margin-right: 0.5rem;
  }

  &:hover {
    text-decoration: underline;
  }
}

.page-title {
  align-self: center;
}

// Add padding right in order to avoid the text to go under the share buttons
.page-title.has-padding {
  // On mobile there is only one button
  padding-right: 35px;

  // On desktop there are four buttons
  @media screen and (min-width: $desktop) {
    padding-right: 150px;
  }
}

.page-title.has-surtitle {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-self: unset;
}

.surtitle-item span {
  margin-bottom: 0.5rem;
  font-size: 0.75rem;
  text-transform: uppercase;
  color: $grey-dark-color;
  line-height: 1;
  vertical-align: text-top;
}

.subtitle-item span {
  margin-top: 0.5rem;
  font-size: 1rem;
  color: $grey-dark-color;
  line-height: 1;
  vertical-align: text-bottom;
}

.metadataSubtitle {
  color: $grey-dark-color;
  font-weight: 300;
  font-size: inherit;
}

.title-item {
  font-size: 1.75rem;
  font-weight: bold;
  line-height: 1.15;
  color: $brand-color;
  margin: 0;
}

.share-buttons {
  position: absolute;
  top: 1rem;
  right: 0;
  display: flex;
  justify-content: space-between;
  background-color: white;

  @media screen and (min-width: $tablet) {
    top: 1.25rem;
  }

  @media screen and (max-width: $desktop) {

    &.displayed {
      width: 165px;
      height: 25px;

      .facebook-button {
        right: 140px;
      }

      .twitter-button {
        right: 105px;
      }

      .linkedin-button {
        right: 70px;
      }

      .copy-link-button {
        right: 35px;
      }
    }
  }
}

.twitter-button,
.facebook-button,
.linkedin-button,
.copy-link-button,
.toogle-share-button {
  padding: 0;
  height: 25px;
  width: 25px;
  border-radius: 3px;
  background-color: white;

  @media screen and (max-width: $desktop) {
    position: absolute;
    right: 0;
    -webkit-transition: all 0.2s ease-out;
    -moz-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
  }
}

.copy-link-button svg {
  width: 16px;
  height: 16px;
}

.toogle-share-button {
  @media screen and (min-width: $desktop) {
    display: none;
  }

  svg {
    width: 25px;
    height: 25px;
  }
}

.twitter-button,
.facebook-button,
.linkedin-button {
  line-height: 0;

  @media screen and (min-width: $desktop) {
    margin-right: 0.5rem;
  }
}
